LrcXAConnection (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jdbc.lrc
Class LrcXAConnection

    java.lang.Object
      bitronix.tm.resource.jdbc.BaseProxyHandlerClass
          bitronix.tm.resource.jdbc.lrc.LrcXAConnection

All Implemented Interfaces:
  InvocationHandler

    public class LrcXAConnection

extends BaseProxyHandlerClass

XAConnection implementation for a non-XA JDBC resource emulating XA with Last Resource Commit.

Author:
  lorban, brettw

Constructor Summary
`LrcXAConnection(Connection connection)`

Method Summary
`void` | `addConnectionEventListener(ConnectionEventListener listener)`
`void` | `close()`
`boolean` | `equals(Object obj)`
`Connection` | `getConnection()`
`Object` | `getProxiedDelegate()` Must be implemented by the sub-class of this class.
`XAResource` | `getXAResource()`
`int` | `hashCode()`
`void` | `removeConnectionEventListener(ConnectionEventListener listener)`
`String` | `toString()`

Methods inherited from class bitronix.tm.resource.jdbc.BaseProxyHandlerClass
`invoke`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcXAConnection

    public LrcXAConnection(Connection connection)

Method Detail

### getXAResource

    public XAResource getXAResource()
                             throws SQLException

  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Throws:
    `SQLException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Throws:
    `SQLException`

### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener listener)

### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener listener)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProxiedDelegate

    public Object getProxiedDelegate()
                              throws Exception

  Description copied from class: `BaseProxyHandlerClass`
  Must be implemented by the sub-class of this class. This method should return the "true" object to be delegated to in the case that the method is not overridden by the sub-class.

  Specified by:
    `getProxiedDelegate` in class `BaseProxyHandlerClass`
  Returns:
    the true delegate object
  Throws:
    `Exception` - can throw any exception if desired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.